OOO = 0;
STA = 1;
SPI = 2;
INT = 3;
STR = 4;
HST = 5;
AGI = 6;
CRI = 7;
ATK = 8;
MAN = 9;
HEA = 10;

EFL_Stat = {
	[OOO] = _G["ALL"],
	[STA] = _G["ITEM_MOD_STAMINA_SHORT"],
	[INT] = _G["ITEM_MOD_INTELLECT_SHORT"],
	[STR] = _G["ITEM_MOD_STRENGTH_SHORT"],
	[HST] = _G["ITEM_MOD_HASTE_RATING_SHORT"],
	[AGI] = _G["ITEM_MOD_AGILITY_SHORT"],
	[CRI] = _G["ITEM_MOD_CRIT_RATING_SHORT"],
	[SPI] = _G["ITEM_MOD_SPIRIT_SHORT"],
	[MAN] = _G["ITEM_MOD_POWER_REGEN0_SHORT"],
	[HEA] = _G["ITEM_MOD_HEALTH_REGEN_SHORT"],
	[ATK] = _G["ITEM_MOD_ATTACK_POWER_SHORT"]
}

EFL_Op = {
	[0] = "=",
	[1] = ">=",
	[2] = "<="
}


-- STAT DROPDOWN ------------------------------------------------

function EFL_StatDropDown_Init()
	local entries = table.getn(EFL_Stat);
	for i=0,entries do
		local info = {};
		info.text = EFL_Stat[i];
		info.value = i;
		info.func = EFL_StatDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EFL_StatDropDown_OnShow()
    UIDropDownMenu_Initialize(EFL_StatDropDown, EFL_StatDropDown_Init);
    UIDropDownMenu_SetSelectedID(EFL_StatDropDown, EFL_Options["SelectedStat"]+1);
    UIDropDownMenu_SetWidth(EFL_StatDropDown, 150);
    EFL_ScrollBar_Update();
end

function EFL_StatDropDown_OnClick(this)
    local i = this:GetID();
    UIDropDownMenu_SetSelectedID(EFL_StatDropDown, i);
    EFL_Options["SelectedStat"] = i-1;
    EFL_ScrollBar_Update();
end


-- ITEMLEVEL DROPDOWN ------------------------------------------------

function EFL_LevelDropDown_Init()
	local entries = table.getn(EFL_Level);
	for i=0,entries do
		local info = {};
		info.text = EFL_Level[i];
		info.value = i;
		info.func = EFL_LevelDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EFL_LevelDropDown_OnShow()
    UIDropDownMenu_Initialize(EFL_LevelDropDown, EFL_LevelDropDown_Init);
    UIDropDownMenu_SetSelectedID(EFL_LevelDropDown, EFL_Options["SelectedLevel"]+1);
    UIDropDownMenu_SetWidth(EFL_LevelDropDown, 80);
    EFL_ScrollBar_Update();
end

function EFL_LevelDropDown_OnClick(this)
    local i = this:GetID();
    UIDropDownMenu_SetSelectedID(EFL_LevelDropDown, i);
    EFL_Options["SelectedLevel"] = i-1;
    EFL_ScrollBar_Update();
end

